package com.example.bug;

import java.io.OutputStream;

import org.apache.commons.io.IOUtils;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.xhtmlrenderer.pdf.ITextRenderer;

public class PdfTemplateAdapter implements TemplateAdapter{
	private static final Logger LOGGER = LoggerFactory.getLogger(PdfTemplateAdapter.class);

	public void generate(OutputStream os) {
		try {
            String xhtml =  IOUtils.toString(Thread.currentThread().getContextClassLoader().getResourceAsStream(TEMPLATE));
            

            ITextRenderer iTextRenderer = new ITextRenderer();

            iTextRenderer.setDocumentFromString(xhtml);
            iTextRenderer.layout();

            iTextRenderer.createPDF(os);
            os.flush();

        } catch (Exception e) {
        	LOGGER.error("I should really do somethign with this error but this is just example code so...",e);
        } finally {
        }
		return;
	}

}
