package com.example.bug;

import java.io.FileNotFoundException;
import java.io.FileOutputStream;

import org.apache.commons.io.IOUtils;
import org.junit.Test;

public class TemplateAdapterTest {

	@Test
	public void test() throws FileNotFoundException {
		System.setProperty("java.protocol.handler.pkgs",
				"com.example.bug.url.protocols");
		
		
		FileOutputStream docxOs = new FileOutputStream("target/sample.docx"); 
		TemplateAdapter docx = new DocxTemplateAdapter();
		docx.generate(docxOs);
		IOUtils.closeQuietly(docxOs);
		
		FileOutputStream pdfOs = new FileOutputStream("target/sample.pdf");
		TemplateAdapter pdf = new PdfTemplateAdapter();
		pdf.generate(pdfOs);
		IOUtils.closeQuietly(pdfOs);

	}

}
